# PHPUnitUtil

Various utility functions

author | Michiel Rook mrook@php.net
version | $Id: 2bed201fd0c78712be2bc9c1eab23f75e646cf4c $
package | phing.tasks.ext.phpunit
since | 2.1.0

### Methods

## Derives the classname from a filename.

    getClassFromFileName( $filename) : string

static

Assumes that there is only one class defined in that particular file, and that the naming follows the dot-path (Java) notation scheme.

### Arguments

#### $filename

``

### Response

`string`

the name fo the class

## Returns the package of a class as defined in the docblock of the class using @package

    getPackageName( $classname) : string

static

### Arguments

#### $classname

``

### Response

`string`

the name of the package

## Returns the subpackage of a class as defined in the docblock of the class using @subpackage

    getSubpackageName(string $classname) : string|null

static

author | Benjamin Schultz bschultz@proqrent.de

### Arguments

#### $classname

`string`

the name of the class

### Response

`string|null`

the name of the subpackage

### Properties

## definedClasses

    definedClasses :

static

### Type(s)

``